package com.yizhi.forum.application.constans;

import java.util.Date;

public interface ForumConstans {


    /**
     * 删除
     */
    public static final Integer DELETED = 1;
    /**
     * 未删除
     */
    public static final Integer NOT_DELETED = 0;
    /**
     * 草稿
     */
    public static final Integer DRAFT = 0;
    /**
     * 下架
     */
    public static final Integer DOWN = 1;
    /**
     * 上架
     */
    public static final Integer UP = 2;
    /**
     * 加精类型
     */
    public static final Integer HIGH_LIGHT = 3;
    /**
     * 置顶类型
     */
    public static final Integer TOP = 4;

    /**
     * 初始值为0
     */
    public static final Integer ZERO = 0;

    /**
     * 上移
     */
    public static final Integer MOVE_UP = 1;

    /**
     * 下移
     */
    public static final Integer MOVE_DOWN = 2;


    /**
     * 加精
     */
    public static final Integer IS_HIGH_LIGHT = 1;
    /**
     * 取消加精
     */
    public static final Integer CANCEL_HIGH_LIGHT = 0;

    /**
     * 置顶
     */
    public static final Integer IS_TOP = 1;
    /**
     * 取消置顶
     */
    public static final Integer CANCEL_TOP = 0;
    /**
     * 获取 2038-01-01 00:00:00 置顶时间排序需要
     */
    public static Date MAX_TOP_DATE = new Date(2145888000000L);
    /**
     * 帖子待管理
     */
    public static final Integer POSTS_NOT_MANAGE = 0;
    /**
     * 举报待管理
     */
    public static final Integer INFORM_NOT_MANAGE = 1;
    /**
     *部门
     */
    public static final Integer ORG = 1;
    /**
     * 用户
     */
    public static final Integer ACCOUNT = 2;
    /**
     * 平台用户
     */
    public static final Integer SITE_ACCOUNT = 0;
    /**
     * 指定用户
     */
    public static final Integer VISIBLE_RANGE = 1;
    /**
     * 全部帖子
     */
    public static final Integer ORDER_UPDATE_TIME = 0;
    /**
     * 最近讨论
     */
    public static final Integer ORDER_BY_NEW_COMMENT_TIME = 1;
    /**
     * 最热讨论
     */
    public static final Integer ORDER_BY_READ_NUM = 2;
    /**
     * 精选热帖
     */
    public static final Integer ORDER_BY_HIGHLIGHT_TIME = 3;
    /**
     * 现在
     *
     */
    public static final String NOW = "现在";
    /**
     * 已收藏
     *
     */
    public static final Integer HAS_FAVORITE = 1;
    /**
     * 管理端 终端类型
     *
     */
    public static final Integer TERMINAL_MANAGE = 1;
    /**
     * 可评论类型
     *
     */
    public static final Integer COMMENT_TYPE = 2;
    /**
     * 可发帖类型
     *
     */
    public static final Integer SEND_POSTS_TYPE = 1;
    /**
     * 该贴已被删除
     *
     */
    public static final String POSTS_HAS_DELETED = "贴子已被删除";
    /**
     * 该用户已被禁言
     *
     */
    public static final String ACCOUNT_IS_FORBIDDEN = "该用户已被禁言";






    /**
     * name字段
     */
    public static final String FEIlD_NAME = "name";
    /**
     * name字段
     */
    public static final String FEIlD_TITLE = "title";
    /**
     * 评论待管理字段
     */
    public static final String Field_NEW_COMMENT_NUM = "new_comment_num";
    /**
     * 评论数字段
     */
    public static final String Field_COMMENT_NUM = "comment_num";
    /**
     * 作者字段
     */
    public static final String Field_AUTHOR = "author";
    /**
     * 分类id字段
     */
    public static final String Field_CLASSIFY_ID = "posts_classify_id";
    /**
     * 用户id字段
     */
    public static final String Field_ACCOUNT_ID = "account_id";
    /**
     * id字段
     */
    public static final String Field_ID = "id";
    /**
     * 排序字段
     */
    public static final String Field_SORT = "sort";
    /**
     * 排序字段
     */
    public static final String Field_SORT_TIME = "sort_time";
    /**
     * 分类下帖子的数量 字段
     */
    public static final String Field_HAS_POSTS_NUM = "has_posts_num";

    /**
     * 分类下能发帖设置字段
     */
    public static final String Field_SEND_SETTING = "send_setting";
    /**
     * 帖子阅读数字段
     */
    public static final String Field_READ_NUM = "read_num";
    /**
     * 加精字段
     */
    public static final String FEIlD_IS_HIGHLIGHT = "is_highlight";
    /**
     * 加精时间字段
     */
    public static final String FEIlD_HIGHLIGHT_TIME = "highlight_time";
    /**
     * 置顶字段
     */
    public static final String FEIlD_IS_TOP = "is_top";
    /**
     * 置顶字段
     */
    public static final String FEIlD_TOP_TIME = "top_time";
    /**
     * 发表时间字段
     */
    public static final String FEIlD_CREATE_TIME = "create_time";
    /**
     * 修改时间字段
     */
    public static final String FEIlD_UPDATE_TIME = "update_time";
    /**
     * 可见范围字段
     */
    public static final String FEIlD_VISIBLE_RANGE= "visible_range";

    /**
     * 帖子id 字段
     */
    public static final String FEIlD_POSTS_ID= "posts_id";
    /**
     * 业务类型 字段
     */
    public static final String FEIlD_TASK_TYPE= "task_type";
    /**
     * 状态字段
     */
    public static final String FEIlD_STATUS= "status";
    /**
     * 终端类型 字段
     */
    public static final String FEIlD_TERMINAL_TYPE= "terminal_type";
    /**
     * 我的管理  排序时间字段
     */
    public static final String FEIlD_MANAGE_SORT = "manage_sort_time";
    /**
     * 我的收藏  排序时间字段
     */
    public static final String FEIlD_FAVORITE_TIME = "favorite_time";

}
