package com.yizhi.forum.application.feign;


import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@FeignClient(name = "cloud-forum", contextId = "PostsClassifyAccountClient")
public interface PostsClassifyAccountClient {

    @GetMapping("/postsClassifyAccount/canComment")
    public Integer canComment(@RequestParam("postsId") Long postsId);
}

