package com.yizhi.forum.application.feign;


import com.yizhi.forum.application.vo.forum.PostsManageAccountParamVo;
import com.yizhi.forum.application.vo.forum.PostsManageAccountVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@FeignClient(name = "cloud-forum", contextId = "PostsManageAccountClient")
public interface PostsManageAccountClient {

    @PostMapping("/postsManageAccount/save")
    public Boolean save(@RequestBody PostsManageAccountParamVo vo);

    @GetMapping("/postsManageAccount/getManager")
    public List<PostsManageAccountVo> getManager(@RequestParam("postsClassifyId") Long postsClassifyId);

}

