package com.yizhi.forum.application.vo.forum;

import com.baomidou.mybatisplus.activerecord.Model;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@Api(tags = "PdfPagesVo", description = "pdf图片")
public class PdfPagesVo extends Model<PdfPagesVo>{

    private static final long serialVersionUID = 1L;

	private Long id;

	@ApiModelProperty(value = "页数")
	private Integer pdfPage;

	@ApiModelProperty(value = "业务id")
	private Long bizId;

	@ApiModelProperty(value = "业务类型")
	private Integer bizType;

	@ApiModelProperty(value = "图片地址")
	private String imageUrl;

	@Override
	protected Serializable pkVal() {
		return this.id;
	}
}
