package com.yizhi.forum.application.vo.forum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsClassifyAccountVo", description = "可发帖、评论人员表")
public class PostsClassifyAccountVo {

    @ApiModelProperty(value = "id ")
	private Long id;

    @ApiModelProperty(value = "帖子分类id")
	private Long postsClassifyId;

    @ApiModelProperty(value = "类型(1：可发帖人员、2：可评论人员)")
	private Integer type;

    @ApiModelProperty(value = "用户类型：1-部门   2-用户 ")
	private Integer accountType;

    @ApiModelProperty(value = "用户id或部门id ")
	private Long accountId;

    @ApiModelProperty(value = "用户名 或部门名称 ")
    private String accountName;

    @ApiModelProperty(value = "用户真实名 ")
    private String accountFullName;

    @ApiModelProperty(value = "工号 ")
    private String workNum;

}
