package com.yizhi.forum.application.service;

import com.yizhi.forum.application.domain.PostsAppendix;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.forum.application.vo.forum.PostsAppendixVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
public interface IPostsAppendixService extends IService<PostsAppendix> {

    Integer save(Long postsId, List<PostsAppendixVo> postsAppendixVos);

    List<PostsAppendixVo> getListByPostsId(Long postsId);

    Integer deletedByPostsId(Long postsId);

    boolean verifyVideo(List<Long> postsAppendixIds);

    boolean updateVideoTranscodeUrl(Map<String, String> var1);
}
