package com.yizhi.forum.application.service;

import com.yizhi.forum.application.domain.PostsRelation;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.forum.application.vo.forum.PostsRelationVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
public interface IPostsRelationService extends IService<PostsRelation> {

    Integer save(Long postsId, List<PostsRelationVo> postsRelationVos);

    List<PostsRelationVo> getListByPostsId(Long postsId);

    Integer deletedByPostsId(Long postsId);
}
