package com.yizhi.forum.application.vo.domain;

import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@TableName("posts_classify")
@ApiModel(value = "PostsClassifyEntityVo", description = "帖子分类表")
public class PostsClassifyVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "分类id")
    private Long id;

    @ApiModelProperty(value = "名称 20个字符内")
    private String name;

    @ApiModelProperty(value = "分类编码 备用")
    private String code;

    @ApiModelProperty(value = "备注 100个字符内")
    private String description;

    @ApiModelProperty(value = "发帖可得积分")
    private Integer sendPoint;

    @ApiModelProperty(value = "评论可得积分 ")
    private Integer commentPoint;

    @ApiModelProperty(value = "0:平台用户  1：指定用户  可评论人员范围")
    private Integer commentSetting;

    @ApiModelProperty(value = "0:平台用户  1：指定用户   可发帖人员范围")
    private Integer sendSetting;

	@ApiModelProperty(value = "是否删除(0:否,1:是)")
	private Integer deleted;

    @ApiModelProperty(value = "排序字段")
    private Integer sort;

    private Long orgId;

    private Long siteId;

    private Long companyId;

    private Long createById;

    private String createByName;

    private Date createTime;

    private Long updateById;

    private String updateByName;

    private Date updateTime;


}
