package com.yizhi.forum.application.vo.forum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsClassifySettingVo", description = "分类论坛设置Vo")
public class PostsClassifySettingVo {

    @ApiModelProperty(value = "分类id")
    private Long id;

    @ApiModelProperty(value = "true:保存 false:修改")
    private Boolean isSave = false;

    @ApiModelProperty(value = "发帖可得积分")
    private Integer sendPoint;

    @ApiModelProperty(value = "评论可得积分 ")
    private Integer commentPoint;

    @ApiModelProperty(value = "0:平台用户  1：指定用户  可评论人员范围")
    private Integer commentSetting;

    @ApiModelProperty(value = "0:平台用户  1：指定用户   可发帖人员范围")
    private Integer sendSetting;

    @ApiModelProperty(value = "可发帖、评论人员集合")
    private List<PostsClassifyAccountVo> postsClassifyAccountVos;


}
