package com.yizhi.forum.application.vo.forum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsClassifyVo", description = "")
public class PostsClassifyVo {

    @ApiModelProperty(value = "分类id")
    private Long id;

    @ApiModelProperty(value = "名称 20个字符内 必填")
    private String name;

    @ApiModelProperty(value = "修改时的新名字")
    private String newName;

    @ApiModelProperty(value = "备注 100个字符内")
    private String description;

    @ApiModelProperty(value = "发帖可得积分")
    private Integer sendPoint;

    @ApiModelProperty(value = "评论可得积分 ")
    private Integer commentPoint;

    @ApiModelProperty(value = "0:平台用户  1：指定用户  可评论人员范围")
    private Integer commentSetting;

    @ApiModelProperty(value = "0:平台用户  1：指定用户   可发帖人员范围")
    private Integer sendSetting;

    @ApiModelProperty(value = "排序字段")
    private Integer sort;

    @ApiModelProperty(value = "修改时间 初始值为创建时间")
    private Date updateTime;


}
