package com.yizhi.forum.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.forum.application.domain.PostsClassify;
import com.yizhi.forum.application.vo.domain.PostsClassifyVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
public interface PostsClassifyMapper extends BaseMapper<PostsClassify> {


    Integer setSort(@Param("id") String id, @Param("siteId") Long siteId);

    Integer getMaxSort(@Param("siteId") Long siteId);

    PostsClassify getSort(@Param("id") Long id, @Param("siteId") Long siteId, @Param("type") Integer type);

}
