package com.yizhi.forum.application.service;

import com.yizhi.forum.application.domain.PostsClassifyAccount;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.forum.application.vo.forum.PostsClassifyAccountVo;
import com.yizhi.forum.application.vo.forum.PostsClassifySettingVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
public interface IPostsClassifyAccountService extends IService<PostsClassifyAccount> {

    Boolean save(PostsClassifySettingVo vo);

    /**
     * 根据分类id查询
     * @param classifyId
     * @return
     */
    List<PostsClassifyAccountVo> getListByClassifyId(Long classifyId);

    List<PostsClassifyAccount> getListByAccountId();

    Integer canComment(Long postsId);
}
