package com.yizhi.forum.application.service;

import com.yizhi.forum.application.domain.PostsContent;
import com.baomidou.mybatisplus.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
public interface IPostsContentService extends IService<PostsContent> {

    Integer save(Long postsId, String content);

    String getOneByPostsId(Long postId);

    Integer updateByPostsId(Long postsId, String content);

    Map<Long,String> getMap(List<Long> postsIds);
}
