package com.yizhi.forum.application.service;

import com.yizhi.forum.application.domain.PostsManageAccount;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.forum.application.vo.forum.PostsManageAccountParamVo;
import com.yizhi.forum.application.vo.forum.PostsManageAccountVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
public interface IPostsManageAccountService extends IService<PostsManageAccount> {

    Boolean save(PostsManageAccountParamVo vo);

    List<PostsManageAccountVo> getManager(Long postsClassifyId, Long siteId);

    List<Long> getClassifyIds(Long accountId, Long siteId);
}
