package com.yizhi.forum.application.service;

import com.yizhi.forum.application.domain.PostsReadRecord;
import com.baomidou.mybatisplus.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
public interface IPostsReadRecordsService extends IService<PostsReadRecord> {

    public Integer insertRecord(Integer type, Long relationId,Integer terminal);

    /**
     * 获取《用户id,用户阅读数》
     * @return
     */
    Map<Long,Integer> getPersonalDataMap();

    /**
     * 获取<业务id,业务阅读数>
     * @return
     */
    Map<Long,Integer> getTaskMap(Integer type, List<Long> taskIds);

}
