package com.yizhi.forum.application.service;

import com.yizhi.core.application.context.RequestContext;
import com.yizhi.forum.application.domain.PostsVisibleRange;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.forum.application.vo.forum.PostsVisibleRangeVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
public interface IPostsVisibleRangeService extends IService<PostsVisibleRange> {

    Integer save(Long postsId, List<PostsVisibleRangeVo> postsVisibleRangeVos);

    List<PostsVisibleRangeVo> getListByPostsId(Long postsId);

    Integer deletedByPostsId(Long postsId);

    List<Long> getPostsIds(RequestContext context);
}
